import java.lang.reflect.*;
/**
* Simple example of using Class.forName(String s) to create
* a Class object, then using newInstance() to create an object
* of the class.
* Based on an example from the Java tutorial.
*/
class SampleNoArg {
	public static void main(String[] args) {
		String className = "java.util.Random";
		if (args.length > 0) {
			className = args[0];
		}
		Object object = null;
		try {
			Class classDefinition = Class.forName(className);
			object = classDefinition.newInstance();
			System.out.println("class name:        "+object.getClass().getName());
			System.out.println("object.toString(): "+object.toString());
		} catch (Exception e) {
			System.out.println(e);
		} 
	}
}

