import java.lang.reflect.*;
/**
* Simple example of using methods from java.lang.reflect
* to display the class hierarchy of an object.
* Based on an example from the Java Tutorial.
*/
public class SampleSuper {
	public static void main(String[] args) {
		Object o = System.out;		// the object to analyze
		Class subclass = o.getClass();
		Class superclass = subclass.getSuperclass();
		System.out.println(subclass.getName());
		while (superclass != null) {
			String className = superclass.getName();
			System.out.println(className);
			subclass = superclass;
			superclass = subclass.getSuperclass();
		}
	}
}
